SDL_Finger Struct Reference

`#include <SDL_touch.h>`

## Data Fields

SDL_FingerID | id
float | x
float | y
float | pressure

## Detailed Description

Data about a single finger in a multitouch event.

Each touch event is a collection of fingers that are simultaneously in contact with the touch device (so a "touch" can be a "multitouch," in reality), and this struct reports details of the specific fingers.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_GetTouchFingers

Definition at line 102 of file SDL_touch.h.

## Field Documentation

## id

SDL_FingerID SDL_Finger::id

the finger ID

Definition at line 104 of file SDL_touch.h.

## pressure

float SDL_Finger::pressure

the quantity of pressure applied, normalized (0...1)

Definition at line 107 of file SDL_touch.h.

## x

float SDL_Finger::x

the x-axis location of the touch event, normalized (0...1)

Definition at line 105 of file SDL_touch.h.

## y

float SDL_Finger::y

the y-axis location of the touch event, normalized (0...1)

Definition at line 106 of file SDL_touch.h.

The documentation for this struct was generated from the following file:

- SDL_touch.h